Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZAppointment Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | getAllByOthers ()
& | getByDate ( $date, $user, $showPrivate=false)
& | getByUser ( $user, $showPrivate=false)
| id ()
| name ( $htmlchars=true)
| description ( $htmlchars=true)
| dateTime ()
| duration ()
& | startTime ()
& | stopTime ()
| allDay ()
| setAllDay ( $value)
| priority ()
| type ()
& | isPrivate ()
| setName ( $value)
| setDescription ( $value)
| setPriority ( $value)
| setDateTime ( $dateTime)
| setType ( $type)
| setOwner ( $user)
| userID ()
| setIsPrivate ( $value)
| setDuration ( $time)

## Public Attributes
| $ID
| $Name
| $Description
| $AllDay
| $UserID
| $Date
| $Duration
| $AppointmentTypeID
| $EMailNotice
| $IsPrivate
| boolean stored as an int More...
| $Priority
| The priority of the appointment, values can be 0, 1, 2 where 1 is normal. More...

## Detailed Description

! eZCalendar eZAppointment handles appointments.

TODO

Definition at line 42 of file ezappointment.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAppointment::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZAppointment object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezappointment.php.

References $ID, and $id.

## Member Function Documentation

## ◆ allDay()

eZAppointment::allDay | ( |  | ) |

Returns if the appointment lasts all day

Definition at line 394 of file ezappointment.php.

References $AllDay.

## ◆ dateTime()

eZAppointment::dateTime | ( |  | ) |

Returns the date and time of the appointment.

Definition at line 345 of file ezappointment.php.

References $date.

## ◆ delete()

eZAppointment::delete | ( |  | ) |

Deletes a eZAppontment object from the database.

Definition at line 124 of file ezappointment.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZAppointment::description | ( |  | $htmlchars = `true` | ) |

Returns the type description.

Definition at line 330 of file ezappointment.php.

References $Description.

## ◆ duration()

eZAppointment::duration | ( |  | ) |

Returns the duration of the appointment as an eZTime object.

Definition at line 356 of file ezappointment.php.

References $Duration.

Referenced by stopTime().

## ◆ get()

eZAppointment::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 140 of file ezappointment.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZAppointment::getAll | ( |  | ) |

Returns all the appointments found in the database.

The appointments are returned as an array of eZAppointment objects.

Definition at line 172 of file ezappointment.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getAllByOthers()

& eZAppointment::getAllByOthers | ( |  | ) |

Returns the appointments thats belongs to another user found in the database.

The appointments are returned as an array of eZAppointment objects.

Definition at line 194 of file ezappointment.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByDate()

& eZAppointment::getByDate | ( |  | $date,
|  |  | $user,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the appointments for the given user on the given date.

The appointments are returned as an array of eZAppointment objects.

Definition at line 218 of file ezappointment.php.

References $date, $db, $i, $query, $ret, $showPrivate, $user, $userID, and eZDB\globalDatabase().

## ◆ getByUser()

& eZAppointment::getByUser | ( |  | $user,
|  |  | $showPrivate = `false`
| ) |  |

Returns all the appointments for the given user.

The appointments are returned as an array of eZAppointment objects.

Definition at line 266 of file ezappointment.php.

References $db, $i, $ret, $showPrivate, $user, $userID, and eZDB\globalDatabase().

## ◆ id()

eZAppointment::id | ( |  | ) |

Returns the object ID to the appointment. This is the unique ID stored in the database.

Definition at line 306 of file ezappointment.php.

References $ID.

## ◆ isPrivate()

& eZAppointment::isPrivate | ( |  | ) |

Returns true if the appointment is private.

Definition at line 433 of file ezappointment.php.

References $ret.

## ◆ name()

eZAppointment::name | ( |  | $htmlchars = `true` | ) |

Returns the name of the appointment.

Definition at line 315 of file ezappointment.php.

References $Name, and Name.

## ◆ priority()

eZAppointment::priority | ( |  | ) |

Returns the priority, can be 0,1,2.

Definition at line 416 of file ezappointment.php.

References $Priority.

## ◆ setAllDay()

eZAppointment::setAllDay | ( |  | $value | ) |

Sets if the appointment lasts all day

Definition at line 402 of file ezappointment.php.

## ◆ setDateTime()

eZAppointment::setDateTime | ( |  | $dateTime | ) |

Sets the appointment date and time. Takes an eZDateTime object as argument.

Definition at line 472 of file ezappointment.php.

References $dateTime.

## ◆ setDescription()

eZAppointment::setDescription | ( |  | $value | ) |

Sets the description of the appointment.

Definition at line 455 of file ezappointment.php.

## ◆ setDuration()

eZAppointment::setDuration | ( |  | $time | ) |

Sets the appointment duration.

Definition at line 532 of file ezappointment.php.

References $time.

## ◆ setIsPrivate()

eZAppointment::setIsPrivate | ( |  | $value | ) |

Sets the appointment to private or not.

Definition at line 517 of file ezappointment.php.

## ◆ setName()

eZAppointment::setName | ( |  | $value | ) |

Sets the name of the appointment.

Definition at line 446 of file ezappointment.php.

References Name.

## ◆ setOwner()

eZAppointment::setOwner | ( |  | $user | ) |

Sets the appointment owner.

Definition at line 498 of file ezappointment.php.

References $user.

## ◆ setPriority()

eZAppointment::setPriority | ( |  | $value | ) |

Sets the priority of the appointment.

Definition at line 463 of file ezappointment.php.

## ◆ setType()

eZAppointment::setType | ( |  | $type | ) |

Sets the appointment type.

Definition at line 487 of file ezappointment.php.

References $type.

## ◆ startTime()

& eZAppointment::startTime | ( |  | ) |

Returns the start time of the appointment.

Definition at line 364 of file ezappointment.php.

References $date, and $time.

Referenced by stopTime().

## ◆ stopTime()

& eZAppointment::stopTime | ( |  | ) |

Returns the end time of the appointment.

Definition at line 380 of file ezappointment.php.

References $date, $time, duration(), and startTime().

## ◆ store()

eZAppointment::store | ( |  | ) |

Stores a eZAppointment object to the database.

Definition at line 65 of file ezappointment.php.

References $db, $query, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ type()

eZAppointment::type | ( |  | ) |

Sets the appointment type.

Definition at line 424 of file ezappointment.php.

References $type.

## ◆ userID()

eZAppointment::userID | ( |  | ) |

Returns the user ID of the appointment owner.

Definition at line 509 of file ezappointment.php.

References $UserID.

## Member Data Documentation

## ◆ $AllDay

eZAppointment::$AllDay

Definition at line 543 of file ezappointment.php.

Referenced by allDay().

## ◆ $AppointmentTypeID

eZAppointment::$AppointmentTypeID

Definition at line 547 of file ezappointment.php.

## ◆ $Date

eZAppointment::$Date

Definition at line 545 of file ezappointment.php.

## ◆ $Description

eZAppointment::$Description

Definition at line 542 of file ezappointment.php.

Referenced by description().

## ◆ $Duration

eZAppointment::$Duration

Definition at line 546 of file ezappointment.php.

Referenced by duration().

## ◆ $EMailNotice

eZAppointment::$EMailNotice

Definition at line 548 of file ezappointment.php.

## ◆ $ID

eZAppointment::$ID

Definition at line 540 of file ezappointment.php.

Referenced by __construct(), and id().

## ◆ $IsPrivate

eZAppointment::$IsPrivate

boolean stored as an int

Definition at line 551 of file ezappointment.php.

## ◆ $Name

eZAppointment::$Name

Definition at line 541 of file ezappointment.php.

Referenced by name().

## ◆ $Priority

eZAppointment::$Priority

The priority of the appointment, values can be 0, 1, 2 where 1 is normal.

Definition at line 554 of file ezappointment.php.

Referenced by priority().

## ◆ $UserID

eZAppointment::$UserID

Definition at line 544 of file ezappointment.php.

Referenced by userID().

The documentation for this class was generated from the following file:

- ezappointment.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.